
// BK.h : главный файл заголовка для приложения BK
//
#pragma once

#ifndef __AFXWIN_H__
#error "включить stdafx.h до включения этого файла в PCH"
#endif

#include "resource.h"       // основные символы
#include "afxwinappex.h"
#include "BKMessageBox.h"
#include <locale.h>
#include "ToolManager.h"


// CBKApp:
// О реализации данного класса см. BK.cpp
//

class CBKApp : public CWinAppEx
{
	public:
		CBKApp();


// Переопределение
	public:
		virtual BOOL InitInstance();
		virtual int ExitInstance();

// Реализация
		UINT  m_nAppLook;
		bool  m_bHiColorIcons;
		CString m_strProgramTitleVersion; //сделаем публичную переменную, куда поместим при инициализации
//имя проги и версию, чтоб один раз сформировать, и много раз использовать
		CString m_strProgramName; //имя проги, с теми же целями.

		virtual void PreLoadState();
		virtual void LoadCustomState();
		virtual void SaveCustomState();

		afx_msg void OnAppAbout();
		DECLARE_MESSAGE_MAP()
};

extern CBKApp theApp;

